# Interface TableProducer

All Known Implementing Classes:
  `ConeMatcher.ConeWorker`

public interface TableProducer
Provides a table.

Since:
  29 Sep 2006
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.StarTable`
`getTable()`
Provides a table.

## Method Details

### getTable

uk.ac.starlink.table.StarTable getTable() throws IOException, uk.ac.starlink.task.TaskException
Provides a table.

Returns:
  table
Throws:
  `IOException`
  `uk.ac.starlink.task.TaskException`